# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

# Original framework from Netrender
# Original Octane script from Enrico Cerica

# This directory is a Python package.

Version = 'v0.44'
Verbose = True
export_mode = 'none'

# To support reload properly, try to access a package var, if it's there, reload everything
if "octane_data" in locals():
	import imp
	imp.reload(settings)
	imp.reload(utils)
	imp.reload(operators)
	imp.reload(ui)
	imp.reload(properties)
	imp.reload(engine)
else:
	from octanerender import settings
	from octanerender import utils
	from octanerender import operators
	from octanerender import ui
	from octanerender import properties
	from octanerender import engine

octane_file = ""
octane_data = True

def register():
	settings.addProperties()
	import bpy
	scene = bpy.context.scene
	if scene:
		octanesettings = scene.octane_render
		ui.octane_data(octanesettings)
    
def unregister():
	import bpy
	del bpy.types.Scene.octane_render
